Go to the latest version of this document.

# ``twisted`.`web`.`template`.`TagLoader``

class documentation

`class TagLoader: (source)`

Constructor: `TagLoader(tag)`

Implements interfaces: `twisted.web.iweb.ITemplateLoader`

View In Hierarchy

An `ITemplateLoader` that loads an existing flattenable object.

Method | `__init__` | No summary
Method | `load` | Load a template suitable for rendering.
Instance Variable | `tag` | The object which will be loaded.

def __init__(self, tag: `Flattenable`): (source)

Parameters
tag:`Flattenable` | The object which will be loaded.

def load(self) -> `list[Flattenable]`: (source)
from `twisted.web.iweb.ITemplateLoader`

Load a template suitable for rendering.

Returns
`list[Flattenable]` | a `list` of flattenable objects, such as byte and unicode strings, `twisted.web.template.Element`s and `IRenderable` providers.

tag: `Flattenable` = (source)

The object which will be loaded.